#
# This file is part of Invenio.
# Copyright (C) 2016-2018 CERN.
#
# Invenio is free software; you can redistribute it and/or modify it
# under the terms of the MIT License; see LICENSE file for more details.

"""Added traceback table"""

from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '6808372c3406'
down_revision = '9a53e55796fa'
branch_labels = ()
depends_on = None


def upgrade():
    """Upgrade database."""
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('oai_record_exc',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('oai_identifier', sa.String(), nullable=True),
    sa.Column('traceback', sa.Text(), nullable=True),
    sa.Column('oai_sync_id', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['oai_identifier'], ['oarepo_oai_record.oai_identifier'], name=op.f('fk_oai_record_exc_oai_identifier_oarepo_oai_record')),
    sa.ForeignKeyConstraint(['oai_sync_id'], ['oarepo_oai_sync.id'], name=op.f('fk_oai_record_exc_oai_sync_id_oarepo_oai_sync')),
    sa.PrimaryKeyConstraint('id', name=op.f('pk_oai_record_exc'))
    )
    op.drop_column('oarepo_oai_record', 'traceback')
    # ### end Alembic commands ###


def downgrade():
    """Downgrade database."""
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('oarepo_oai_record', sa.Column('traceback', sa.TEXT(), autoincrement=False, nullable=True))
    op.drop_table('oai_record_exc')
    # ### end Alembic commands ###
