#
# This file is part of Invenio.
# Copyright (C) 2016-2018 CERN.
#
# Invenio is free software; you can redistribute it and/or modify it
# under the terms of the MIT License; see LICENSE file for more details.

"""Remove ForeigKey to OAIRecord Table"""

from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '9438b43e3f51'
down_revision = '6808372c3406'
branch_labels = ()
depends_on = None


def upgrade():
    """Upgrade database."""
    # ### commands auto generated by Alembic - please adjust! ###
    op.alter_column('oai_record_exc', 'oai_identifier',
               existing_type=sa.VARCHAR(),
               nullable=False)
    op.create_unique_constraint(op.f('uq_oai_record_exc_oai_identifier'), 'oai_record_exc', ['oai_identifier'])
    op.drop_constraint('fk_oai_record_exc_oai_identifier_oarepo_oai_record', 'oai_record_exc', type_='foreignkey')
    # ### end Alembic commands ###


def downgrade():
    """Downgrade database."""
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_foreign_key('fk_oai_record_exc_oai_identifier_oarepo_oai_record', 'oai_record_exc', 'oarepo_oai_record', ['oai_identifier'], ['oai_identifier'])
    op.drop_constraint(op.f('uq_oai_record_exc_oai_identifier'), 'oai_record_exc', type_='unique')
    op.alter_column('oai_record_exc', 'oai_identifier',
               existing_type=sa.VARCHAR(),
               nullable=True)
    # ### end Alembic commands ###
